// Dynamic translation strings for the SuperTable. These strings are not part of
// the HTML generated by the ERB processor.

I18n.translations || (I18n.translations = {});

// English
I18n.translations["en"] = I18n.extend((I18n.translations["en"] || {}), {
    column_actions: "Actions",
    empty_table: "Empty table",
    empty: "(empty)",
    selected: "(Select)",
    see_console_for_details: "See the browser console for details.",
    are_you_sure: "Are you sure?",
    network_error: "Network error: ",
    network_connection_error: "Network connection error!",
    export_failed: "Failed to generate the output file:\n\n%{error}\n\nSee the browser console for details.",

    status: {
        visible_rows: "%{visible}/%{total} visible",
        filtered_rows: "%{count} filtered",
        selected_rows: "%{count} selected",
        mass_progress: `%{count}/%{total} (<span class="success">%{success} successfull</span>, <span class="fail">%{fail} failed</span>)`,
        column_stats: "Selected %{selected}/%{total} columns",
        mass_row_status: "%{total} total, %{match} matched, %{unmatched} didn't match",
        pagination: "Page: %{current}/%{total} ▼",
    },

    filtering: {
        expression_title: "Filter string",
        unsaved: "unsaved",
        save_json_confirm: "Are you sure?",

        error: "Error",
        warning: "Warning",

        no_messages: "(No problems were found in the filter string)",

        traditional_filter_is_empty: "The traditional filter is empty.",

        row: "Row",
        column: "Column",
        message: "Message",

        preview_prefix: "Filter",
        new_traditional_filter: "New...",

        messages: {
            column_not_visible: "Column is not visible. Be careful, it can show or hide rows it should not.",
            expected_column_name: "Expected a column name here (unknown column name?)",
            expected_operator: "Expected a comparison operator here",
            expected_value_rpar: "Expected a comparison value or ')' here",
            incompatible_operator: "This operator cannot be used with this column type",
            invalid_operator: "Invalid comparison operator",
            invalid_regexp: "Invalid regexp string",
            invalid_sign: "Invalid sign",
            invalid_storage_unit: "Invalid storage unit specifier",
            invalid_time_unit: "Invalid time unit",
            not_a_number: "Invalid number",
            missing_time_unit: "Missing time unit, assuming seconds (probably not what you meant)",
            syntax_error: "Syntax error",
            unbalanced_nesting: "Unbalanced parenthesis",
            unexpected_column_name: "Did not expect a column name here",
            unexpected_end: "Unexpected end of input",
            unexpected_lpar: "Unexpected ')'",
            unexpected_negation: "Unexpected '!'",
            unexpected_rpar: "Unexpected ')'",
            unknown_column: "Unknown column",
            unknown_error: "Unknown error :-(",
            unknown_operator: "Unknown operator",
            unparseable_time: "This string cannot be interpreted as an absolute nor relative time",
            unterminated_string: "Unterminated string",
        },

        pretty: {
            empty: "(empty)",
            or: "or",
            nor: "nor",
            interval: "between",
            not_interval: "not between",
        },

        ed: {
            closed: "Specify an interval the value must be inside of. The start and end values are included.",
            open: "Specify an interval the value must not be inside of. The start and end values are not included.",
            invalid_interval: "Specify valid minimum and maximum values.",

            single: "This operator accepts only one value.",
            multiple: "You can specify multiple values.",
            one_hit_is_enough: "A single match is enough.",
            no_hits_allowed: "None of the values must match.",
            regexp: "All comparisons are done using regular expressions that ignore character case. Remember that if you're searching for characters that have special meaning in regexps, you must escape (\\) them.",
            no_values: "You did not specify any comparison values.",

            bool: {
                t: "Yes",
                f: "No",
            },

            numeric: {
                nan: "is not a number.",
                negative_storage: "Negative storage sizes are not permitted.",
            },

            time: {
                invalid: "is neither absolute nor relative time.",
                help_link: "Show instructions on how dates and times are specified",
                help: `There are two formats available: absolute and relative.\n\nAbsolute times are formatted as YYYY-MM-DD HH:MM:SS. The more parts you specify, the more accurate it becomes. Omitted day and month are assumed to be 1, and omitted hours, minutes and seconds are 0. "2021" means "2021-01-01 00:00:00", "2021-09" means "2021-09-01 00:00:00", "2021-09-22 13" means "2021-09-22 13:00:00" and so on. All times are in 24-hour format. The year must be between 2000 and 2050.\n\nRelative time specifies the time relatively, in seconds, to the moment when the table is updated. Negative numbers point to the past, positive to the future. After the number comes the unit, they are: "s" (second), "h" (hour), "d" (day), "w" (week), "m" (30-day month), "y" (365-day year). For example, "-2h" means "exactly two hours ago", "-1d" means "exactly 1 day (86400 seconds) ago", and "-8m" means "exactly 8 months ago". In practice, you'll be using negative numbers almost always.`,
            }
        },
    },
});

// Finnish
I18n.translations["fi"] = I18n.extend((I18n.translations["fi"] || {}), {
    column_actions: "Toiminnot",
    empty_table: "Tyhjä taulukko",
    empty: "(tyhjä)",
    selected: "(Valitse)",
    see_console_for_details: "Katso selaimen konsolista lisätietoja.",
    are_you_sure: "Oletko varma?",
    network_error: "Verkkovirhe: ",
    network_connection_error: "Verkkoyhteysongelma!",
    export_failed: "Ladattavan tiedoston luonti epäonnistui:\n\n%{error}\n\nKatso selaimen konsolista lisätietoja.",

    status: {
        visible_rows: "%{visible}/%{total} näkyvissä",
        filtered_rows: "%{count} suodatettu",
        selected_rows: "%{count} valittu",
        mass_progress: `%{count}/%{total} (<span class="success">%{success} onnistui</span>, <span class="fail">%{fail} epäonnistui</span>)`,
        column_stats: "Valittu %{selected}/%{total} saraketta",
        mass_row_status: "%{total} riviä, %{match} täsmäsi, %{unmatched} ei täsmännyt",
        pagination: "Sivu: %{current}/%{total} ▼",
    },

    filtering: {
        expression_title: "Suodatinlauseke",
        unsaved: "tallentamaton",
        save_json_confirm: "Oletko varma?",

        error: "Virhe",
        warning: "Varoitus",

        no_messages: "(Suodatinlausekkeesta ei löytynyt ongelmia)",

        traditional_filter_is_empty: "Perinteinen suodatin on tyhjä.",

        row: "Rivi",
        column: "Sarake",
        message: "Viesti",

        preview_prefix: "Suodatin",
        new_traditional_filter: "Uusi...",

        messages: {
            column_not_visible: "Sarake ei ole näkyvissä. Varo, ettei suodatin näytä tai piilota rivejä joita sen ei pitäisi.",
            expected_column_name: "Tässä oletettiin olevan sarakkeen nimi (tuntematon sarake?)",
            expected_operator: "Tässä oletettiin olevan verailuoperaattori",
            expected_value_rpar: "Tässä oletettiin olevan joko vertailtava arvo tai ')'",
            incompatible_operator: "Tätä operaattoria ei voi käyttää tämän saraketyypin kanssa",
            invalid_operator: "Virheellinen vertailuoperaattori",
            invalid_regexp: "Virheellinen regexp-jono",
            invalid_sign: "Virheellinen etumerkki",
            invalid_storage_unit: "Virheellinen tallennustilan yksikkö",
            invalid_time_unit: "Virheellinen aikayksikkö",
            not_a_number: "Virheellinen numero",
            missing_time_unit: "Puuttuva aikayksikkö, oletetaan sekunneiksi (ei ehkä mitä tarkoitit)",
            syntax_error: "Syntaksivirhe",
            unbalanced_nesting: "Sulkeiden määrä ei ole parillinen",
            unexpected_column_name: "Sarakkeen nimeä ei odotettu tässä kohdassa",
            unexpected_end: "Syöte päättyi kesken",
            unexpected_lpar: "Odottamaton ')'",
            unexpected_negation: "Odottamaton '!'",
            unexpected_rpar: "Odottamaton ')'",
            unknown_column: "Tuntematon sarake",
            unknown_error: "Tuntematon virhe :-(",
            unknown_operator: "Tuntematon operaattori",
            unparseable_time: "Aikaa ei voida tulkita absoluuttisena eikä suhteellisena aikana",
            unterminated_string: "Päättämätön tekstijono",
        },

        pretty: {
            empty: "(tyhjä)",
            or: "tai",
            nor: "eikä",
            interval: "väliltä",
            not_interval: "ei väliltä",
        },

        ed: {
            closed: "Määritä väli jonka sisällä arvon on oltava. Alku- ja loppuarvo sisältyvät alueeseen.",
            open: "Määritä väli jonka sisällä arvo ei saa olla. Alku- ja loppuarvo eivät sisälly alueeseen.",
            invalid_interval: "Määritä kunnollinen pienin ja suurin arvo.",

            single: "Valittu vertailu kelpuuttaa vain yhden arvon.",
            multiple: "Voit määrittää useita arvoja.",
            one_hit_is_enough: "Yksikin osuma riittää.",
            no_hits_allowed: "Mikään niistä ei saa osua.",
            regexp: "Kaikki vertailut ovat regexp-vertailuja jotka eivät välitä kirjainkoosta. Muistathan, että jos etsimässäsi tekstissä esiintyy merkkejä jotka tarkoittavat jotain regexp-lauseissa, sinun on eskapoitava (\\) ne.",
            no_values: "Et määrittänyt yhtään vertailtavaa arvoa.",

            bool: {
                t: "Kyllä",
                f: "Ei",
            },

            numeric: {
                nan: "ei ole numero.",
                negative_storage: "Negatiiviset tallennustilat eivät ole sallittuja.",
            },

            time: {
                invalid: "ei ole absoluuttinen eikä suhteellinen aika.",
                help_link: "Näytä ohje siitä miten ajat määritetään",
                help: `Käytettävissä on kaksi aikamuotoa: absoluuttinen ja suhteellinen.\n\nAbsoluuttinen aika on muotoa VVVV-KK-PP TT:MM:SS. Mitä useamman osan kirjoitat, sitä tarkempi aika on. Poisjätetyt päivä ja kuukausi ovat 1, ja poisjätetyt tunti, minuutti ja sekunti ovat 0. "2021" tarkoittaa "2021-01-01 00:00:00", "2021-09" tarkoittaa "2021-09-01 00:00:00", "2021-09-22 13" tarkoittaa "2021-09-22 13:00:00" ja niin edelleen. Kellonaika on aina 24-tuntinen. Vuosilukujen on oltava väliltä 2000 ja 2050.\n\nSuhteellinen aika ilmaisee ajan sekunteina suhteessa hetkeen jolloin taulukko päivitetään. Negatiiviset luvut osoittavat menneisyyteen, positiiviset tulevaisuuteen. Luvun perään kirjoitetaan yksikkö, ne ovat: "s" (sekunti), "h" (tunti), "d" (päivä), "w" (viikko), "m" (30-päiväinen kuukausi), "y" (365-päiväinen vuosi). Esimerkiksi "-2h" tarkoittaa "tasan 2 tuntia sitten", "-1d" tarkoittaa "tasan yksi päivä sitten" (eli -86400 sekuntia) ja "-8m" tarkoittaa "tasan kahdeksan kuukautta sitten". Käytännössä käytät negatiivisia aikoja lähes aina.`,
            }
        },
    },
});
